[SCM] Gerris Flow Solver branch, upstream, updated. b3aa46814a06c9cb2912790b23916ffb44f1f203

Stephane Popinet s.popinet at niwa.co.nz
Fri May 15 02:51:36 UTC 2009


The following commit has been merged in the upstream branch:
commit 0fac44192817e08fe96a362db2f09e90ac7325ed
Author: Stephane Popinet <s.popinet at niwa.co.nz>
Date:   Tue Feb 8 14:28:23 2005 +1100

    Spurious currents test
    
    darcs-hash:20050208032823-fbd8f-cb1ad826d6265c77cb29835fc5184adab3a48b7b.gz

diff --git a/test/Makefile.am b/test/Makefile.am
index 84b1794..6b062d4 100644
--- a/test/Makefile.am
+++ b/test/Makefile.am
@@ -1,3 +1,3 @@
 ## Process this file with automake to produce Makefile.in
 
-SUBDIRS = poisson advection euler mpi ocean
+SUBDIRS = poisson advection euler mpi ocean tension
diff --git a/test/Makefile.am b/test/tension/Makefile.am
similarity index 57%
copy from test/Makefile.am
copy to test/tension/Makefile.am
index 84b1794..d14f0ef 100644
--- a/test/Makefile.am
+++ b/test/tension/Makefile.am
@@ -1,3 +1,5 @@
 ## Process this file with automake to produce Makefile.in
 
-SUBDIRS = poisson advection euler mpi ocean
+TESTS = spurious.sh
+
+EXTRA_DIST = $(TESTS)
diff --git a/test/tension/spurious.sh b/test/tension/spurious.sh
new file mode 100644
index 0000000..d49c38b
--- /dev/null
+++ b/test/tension/spurious.sh
@@ -0,0 +1,52 @@
+# !/bin/sh
+
+if test -f circle.gts; then
+    :
+else
+    ../poisson/shapes ellipse | transform --scale 0.8 > circle.gts
+fi
+
+param=`mktemp /tmp/spurious.XXXXXX`
+
+for La in 12000 1200 120; do
+    mu=`echo $La | awk '{print sqrt (0.4/$1)}'`
+    tmax=`echo $mu | awk '{print 1000.*$1*0.4}'`
+    du=`echo $mu | awk '{print 1e-7/$1}'`
+    cat <<EOF > $param
+1 2 GfsSimulation GfsBox GfsGEdge {} {
+  Time {
+    end = $tmax
+    dtmax = 1e-3
+  }
+  ApproxProjectionParams { tolerance = 1e-6 }
+  ProjectionParams { tolerance = 1e-6 }
+  Refine 5
+  VariableTracer {} T { scheme = vof }
+  SourceTension {} U V T 1
+  AdvectionParams { scheme = none }
+  SourceDiffusion {} U $mu
+  SourceDiffusion {} V $mu
+  InitFraction {} T circle.gts
+  EventStop { istep = 1 } U $du
+  OutputScalarStats {istep = 1} log-$La { v = P }
+  OutputScalarNorm {istep = 1} log-$La { v = Velocity }
+  OutputScalarSum { istep = 1 } log-$La { v = T }
+}
+GfsBox {}
+1 1 right 
+1 1 top
+EOF
+    gerris2D $param
+    if awk -v La=$La -v mu=$mu '{if ($1 == "Velocity") {max1 = max; max = $9;}} END {
+      printf ("Laplace number: %6g max(U)*mu/sigma: %g\n", La, max1*mu);
+      if (max1*mu > 2.5e-3)
+        exit 1;
+    }' < log-$La; then
+	:
+    else
+	rm -f $param
+	exit 1
+    fi
+done
+
+rm -f $param

-- 
Gerris Flow Solver



More information about the debian-science-commits mailing list